// RULES:
// error handled by caller
// contain definition to collection only

import { COL_LESSON_CATEGORIES } from '@/constants';

import { pb } from '@/lib/pb';

export default function getAllLessonCategoriesCount(): Promise<number> {
  return pb
    .collection(COL_LESSON_CATEGORIES)
    .getList(1, 9999)
    .then((res) => res.totalItems);
}
